/**********************************************************************\
**
**                         Copyright (c) 2007-2021 by
**                          HENGSTLER GmbH, Aldingen 
**
**      This  software  is furnished under a license and may be used and
**      copied only in accordance with the terms  of  such  license  and
**      with the inclusion of the above copyright notice.  This software
**      or any other copies thereof may not  be  provided  or  otherwise
**      made  available  to any other person.  No title to and ownership
**      of the software is hereby transferred.
**
**      The  information  in  this software is subject to change without
**      notice and should not be construed as a commitment by Hengstler.
**
**  Module:      Exo-PrintMonPluginTest.cpp
**  Facility:    S684015 - Hengstler Extendo Printer Driver for Windows XP/7/8/10 
**  Component:   Extendo print monitor plugin test tool (Exo_PrintMonPluginTest)
**  Version:     R9-V2.05-FINAL / 2021SEP14
**  Environment: Microsoft Windows XP/7/8/10
**  Compiler:    Microsoft Visual C++ .NET   
**  Abstract:    Application entry point 
**  Note:        -
**  History:     R1-V1.00 / 2007DEC21 / HOR / 1ST RELEASE 
**               -----------------------------------------------------
**               R2-V1.01 / 2008MAY31 / HOR / 2ND RELEASE 
**               -----------------------------------------------------
**               R3-V1.02 / 2010APR30 / HOR / 3RD RELEASE
**               -----------------------------------------------------
**               R4-V2.00a  / 2011MAY26 / HOR / M-R4-004-HOR
**                  Complete printer package ported to VS2010, reviewed and adapted Windows 7 32+64 bit
**               R4-V2.00 / 2013JUL18 / HOR / 4TH RELEASE
**               -----------------------------------------------------
**               R5-V2.01 / 2015MAY07 / HOR / 5TH RELEASE
**               -----------------------------------------------------
**               R6-V2.02b / 2016MAY25 / HOR / M-R6-007-HOR
**                  Driver package ported to VS2015 and adapted to Windows 10.
**               R6-V2.02 / 2016MAY25 / HOR / 6TH RELEASE
**               -----------------------------------------------------
**               R7-V2.03 / 2017APR20 / HOR / 7TH RELEASE
**               -----------------------------------------------------
**               R8-V2.04 / 2018JUL02 / HOR / 8TH RELEASE
**               -----------------------------------------------------
**               R9-V2.05 / 2021SEP14 / HOR / 9TH RELEASE
**               -----------------------------------------------------
**
\**********************************************************************/

/*
** INCLUDES
*/

#include "stdafx.h"
#include "Exo-PrintMonPluginTest.h"
#include "Exo-Pmpt-DlgMain.h"

/*
** COMPILERS
*/

#ifdef _DEBUG
#define new DEBUG_NEW
#endif

/*
** MACROS
*/

/*
** TYPES
*/

/*
** FUNCTIONS
*/

/*
** VARIABLES
*/

CExo_PrintMonPlugin theApp;  // This application

/* 
** MESSAGE MAPS
*/

BEGIN_MESSAGE_MAP(CExo_PrintMonPlugin, CWinApp)
   ON_COMMAND(ID_HELP, CWinApp::OnHelp)
END_MESSAGE_MAP()

//************************************************************************
// METHOD   CExo_PrintMonPlugin::CExo_PrintMonPlugin
// ABSTRACT Constructor
//************************************************************************

CExo_PrintMonPlugin::CExo_PrintMonPlugin
   ()
{
   //-- Nothing to do
}

//************************************************************************
// METHOD   CExo_PrintMonPlugin::InitInstance
// ABSTRACT Intialization
//************************************************************************

BOOL CExo_PrintMonPlugin::InitInstance
   ()
{
   //-- Init dialog elements
   InitCommonControls();

   //-- Initialize instance of application
   CWinApp::InitInstance();

   //-- Create main dialog
   CExo_Pmpt_DlgMain oExo_Pmpt_DlgMain;
   
   //-- Set dialog as main window
   m_pMainWnd = &oExo_Pmpt_DlgMain;

   //-- Do dialog main as modal dialog
   oExo_Pmpt_DlgMain.DoModal();
   
   //-- All done, terminate application
   return FALSE;
}
